this is a page for all the people who want to download and install a mod for there favorite game but cannot do to a problem or have never tried to before. so any one can get answers to there problems here so everyone helps one another and no one person is left out of the fun of modding.

Image RSS Feed Latest Screens
moddb help moddb help moddb help
Articles RSS Feed Latest Articles
this new group
Game

this new group

Nov 9, 2010 help me please News 0 comments

first news letter about this group and what we are about

Post comment Comments
Guest
Guest Nov 23 2012, 3:32pm says:

This comment is currently awaiting admin approval, join now to view.

Hatak95
Hatak95 Dec 2 2011, 3:45pm says:

i need help installing the new version (2.8.1) of Tactical Fleet simulator mod for HW2. I tired to install it, but it says I still have version 2.7.1
I installed via Desura, direct from the download page. Ideas?

+1 vote     reply to comment
Akalonor
Akalonor Sep 20 2011, 9:52pm says:

Merry un-Birthday everyone!
Now go die in a hole.

+2 votes     reply to comment
(LONEWOLF)
(LONEWOLF) Dec 25 2010, 1:22am says:

Merry Christmas folks

+2 votes     reply to comment
slash9912
slash9912 Nov 23 2010, 5:34pm says:

I really need help with version 4 for your clone wars empire at war mod! I cannot use phase 2 troops. The only thing i got new was the droideka, pirate tank, clone commander, delta squad, and the stun tank. And just to make sure how do you install the mod? I am a really big fan of star wars and this game so PLEASE help me! -Thanks

Slash9912 : (

PS: My email is maxmalak@live.ca

Edited by: slash9912

+2 votes     reply to comment
slash9912
slash9912 Nov 23 2010, 5:31pm says:

i need help for this new clone wars version 4 mod, i install it but i dont get phase 2 clones, plex, grenaiders, sargents , iftx, spider walker.etc how can i fix this problem. it could be an installation problem.

+2 votes     reply to comment
(LONEWOLF)
(LONEWOLF) Nov 24 2010, 1:21am replied:

It is a beta to what is to come sense we could not release the full version the team is working on the problems and will release a 4.5 or v5 but has not been decided Wich one Note. Not all the new units made it to the beta becouse they where not coded in intime for the release.

+2 votes     reply to comment
slash9912
slash9912 Nov 24 2010, 5:07pm replied:

Thanks A LOT! please inform me of when the newest version comes out. THANKS!

+2 votes     reply to comment
(LONEWOLF)
(LONEWOLF) Nov 7 2010, 9:44pm says:

This group page will be up and running in a few days looking for helpers

+2 votes     reply to comment
(LONEWOLF)
(LONEWOLF) Nov 7 2010, 7:20pm says:

welcome

+2 votes     reply to comment
Post a Comment
click to sign in

You are not logged in, your comment will be anonymous unless you join the community today (totally free - or sign in with your social account on the right) which we encourage all contributors to do.

2000 characters limit; HTML formatting and smileys are not supported - text only

Established
Nov 7, 2010
Privacy
Public
Subscription
Open to all members
Contact
Send Message
Email
Members Only
Membership
Join this group
Group Watch
Track this group
Share
Embed Buttons

Promote help me please on your homepage or blog by selecting a button and using the HTML code provided (more).

help me please
help me please
Statistics
Members
8
Rank
544 of 14,656
Watchers
5 members
News
1